## 如何使用

### 安装

```
pnpm install fe-git-commit-cli -D
```

#### 配置
在工程 package.json 中追加下述内容：

```json
"scripts": {
  "commit": "./node_modules/.bin/fe-git-commit",
  "verify-commit-message": "./node_modules/.bin/fe-git-verify-commit-message"
},
"gitHooks": {
  "commit-msg": "npm run verify-commit-message"
}
```

采用 `npm run commit` 或 `yarn commit` 代替 `git commit` 提交代码

**注意：** 由于 windows 和 mac 下，支持执行方式不同，所有命令统一提到 scripts 中。不推荐下述写法：
```json
"gitHooks": {
  "commit-msg": "./node_modules/.bin/fe-git-verify-commit-message"
}
```

#### 注意事项

对于所有 merge，会保留 merge 信息，`commit-msg` 直接放行
Please use the one-time password (OTP) from your authenticator application
Enter one-time password from your authenticator app: 567890